For the complete documentation index, see llms.txt. This page is also available as Markdown.

Quotes

Get quotes for a specific currency pair and amount

get
/v1/quotes

Retrieves a list of quotes for currency exchange based on the specified country/currency pair and the amount (denominated in either the source currency or destination currency)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
sourceCountrystringRequired

2-letter country code for the Source Country

Example: SG
sourceCurrencystringRequired

3-letter currency code for the Source Currency

Example: SGD
destinationCountrystringRequired

2-letter country code for the Destination Country

Example: TH
destinationCurrencystringRequired

3-letter currency code for the Destination Currency

Example: THB
amountCurrencystringRequired

Source Currency if the Sender defined the amount to be sent. Destination Currency if the Sender defined the amount to be received by the Recipient.

Example: SGD
amountnumberRequired

The amount to be exchanged. If the Sender defined the amount to be sent in the source currency, the amount here must be the amount set by the Sender MINUS any Source PSP Deducted Fee. If the Sender defined the amount for the Recipient to receive, then the amount here is the amount that will be credited to the Recipient's account.

Example: 1000
finInstIdTypestringRequired

Type ID of the financial institution.

finInstIdstringRequired

ID of the financial institution.

destFinInstIdTypestringOptional

Type ID of the destination financial institution.

destFinInstIdstringOptional

ID of the destination financial institution.

Responses
200

Quotes retrieved successfully

application/json
quoteRequestIdstringOptional

A universally unique ID for the overall quote request. (Each individual quote in this response has its own unique Quote Id)

Example: d302cc08-323b-4ac6-897e-579a9abe0c88
sourceCountrystringOptional

2-letter country code for the Source Country

Example: SG
sourceCurrencystringOptional

3-letter country code for the Source Country

Example: SGD
destinationCountrystringOptional

2-letter country code for the Destination Country

Example: TH
destinationCurrencystringOptional

3-letter country code for the Destination Country

Example: THB
amountCurrencystringOptional

Source Currency if the Sender defined the amount to be sent. Destination Currency if the Sender defined the amount to be received by the Recipient.

Example: SGD
amountnumberOptional

The amount to be exchanged. If the Sender defined the amount to be sent in the source currency, the amount here must be the amount set by the Sender MINUS any Source PSP Deducted Fee. If the Sender defined the amount for the Recipient to receive, then the amount here is the amount that will be credited to the Recipient's account.

Example: 1000
get/v1/quotes

Last updated